Event details
GET/zones/{zone_id}/waiting_rooms/{waiting_room_id}/events/{event_id}
Fetches a single configured event for a waiting room.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Event details
curl https://api.cloudflare.com/client/v4/zones/$ZONE_ID/waiting_rooms/$WAITING_ROOM_ID/events/$EVENT_ID \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"{
"result": {
"id": "25756b2dfe6e378a06b033b670413757",
"created_on": "2014-01-01T05:20:00.12345Z",
"custom_page_html": "{{#waitTimeKnown}} {{waitTime}} mins {{/waitTimeKnown}} {{^waitTimeKnown}} Event is prequeueing / Queue all enabled {{/waitTimeKnown}}",
"description": "Production event - DO NOT MODIFY",
"disable_session_renewal": true,
"event_end_time": "2021-09-28T17:00:00.000Z",
"event_start_time": "2021-09-28T15:30:00.000Z",
"modified_on": "2014-01-01T05:20:00.12345Z",
"name": "production_webinar_event",
"new_users_per_minute": 200,
"prequeue_start_time": "2021-09-28T15:00:00.000Z",
"queueing_method": "random",
"session_duration": 1,
"shuffle_at_event_start": true,
"suspended": true,
"total_active_users": 200,
"turnstile_action": "log",
"turnstile_mode": "off"
}
}Returns Examples
{
"result": {
"id": "25756b2dfe6e378a06b033b670413757",
"created_on": "2014-01-01T05:20:00.12345Z",
"custom_page_html": "{{#waitTimeKnown}} {{waitTime}} mins {{/waitTimeKnown}} {{^waitTimeKnown}} Event is prequeueing / Queue all enabled {{/waitTimeKnown}}",
"description": "Production event - DO NOT MODIFY",
"disable_session_renewal": true,
"event_end_time": "2021-09-28T17:00:00.000Z",
"event_start_time": "2021-09-28T15:30:00.000Z",
"modified_on": "2014-01-01T05:20:00.12345Z",
"name": "production_webinar_event",
"new_users_per_minute": 200,
"prequeue_start_time": "2021-09-28T15:00:00.000Z",
"queueing_method": "random",
"session_duration": 1,
"shuffle_at_event_start": true,
"suspended": true,
"total_active_users": 200,
"turnstile_action": "log",
"turnstile_mode": "off"
}
}